excelExporter.excelParser.dataModel

## Enum ExcelWorksheet.PseudoFieldName

- java.lang.Object
- - java.lang.Enum<ExcelWorksheet.PseudoFieldName>
  - - excelExporter.excelParser.dataModel.ExcelWorksheet.PseudoFieldName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExcelWorksheet.PseudoFieldName>
  Enclosing class:
    ExcelWorksheet

      public static enum ExcelWorksheet.PseudoFieldName
      extends java.lang.Enum<ExcelWorksheet.PseudoFieldName>

  This is the list of pseudo-fields of class `ExcelWorksheet` that can be accessed from a StringTemplate V4 template. The enumerated fields can be accessed like ordinary public fields from a StringTemplate V4 template. The dot notation is used to do so. Taking the first named value `excelFile` as an example, one would write `<sheet.excelFile>` to access the related pseudo-field.

  A short explanation of each pseudo-field and a reference to more in-depth information can be found as description of each named value of the enumeration.

  Please note, that the pseudo-fields of the base classes `RowObjectContainer` and `ObjectMap` are inherited and can be accessed, too. See `RowObjectContainer.PseudoFieldName` and `ObjectMap.PseudoFieldName`, respectively.

  A detailed discussion of pseudo-fields and the enumeration of these can be found in the class description of `ObjectMap`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `excelFile` The file designation `ExcelWorksheet.excelFile` of the Excel source.
    `isRoot` The flag `ExcelWorksheet.isRoot`, whether this container is a complete worksheet and not just a nested sub-group of row objects.
    `parentBook` The work book object `ExcelWorksheet.parentBook`, this sheet belongs to.
    `tabName` The tab name `ExcelWorksheet.tabName` of the worksheet in the Excel source.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExcelWorksheet.PseudoFieldName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExcelWorksheet.PseudoFieldName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### excelFile

          public static final ExcelWorksheet.PseudoFieldName excelFile

      The file designation `ExcelWorksheet.excelFile` of the Excel source.

      From a StringTemplate V4 template it would be accessed with an expression like `<sheet.excelFile>`.

    - #### tabName

          public static final ExcelWorksheet.PseudoFieldName tabName

      The tab name `ExcelWorksheet.tabName` of the worksheet in the Excel source.

      From a StringTemplate V4 template it would be accessed with an expression like `<sheet.tabName>`.

    - #### parentBook

          public static final ExcelWorksheet.PseudoFieldName parentBook

      The work book object `ExcelWorksheet.parentBook`, this sheet belongs to.

      From a StringTemplate V4 template it would be accessed with an expression like `<sheet.parentBook>`.

    - #### isRoot

          public static final ExcelWorksheet.PseudoFieldName isRoot

      The flag `ExcelWorksheet.isRoot`, whether this container is a complete worksheet and not just a nested sub-group of row objects.

      From a StringTemplate V4 template it would be accessed with an expression like `<if(container.isRoot)>This is the complete worksheet<else>This is a sub-group of a worksheet<endif>`.

  - ### Method Detail

    - #### values

          public static ExcelWorksheet.PseudoFieldName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExcelWorksheet.PseudoFieldName c : ExcelWorksheet.PseudoFieldName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExcelWorksheet.PseudoFieldName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null